/*******************************************************************************
 * Copyright (c) 2004 IBM Corporation.
 * All rights reserved. 
 *******************************************************************************/

package com.ibm.tutorialsgallery.servlets;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.ibm.tutorialgallery.TutorialGalleryAction;
import com.ibm.tutorialgallery.internal.GalleryConstants;



/**
 * 
 */
public class SampleGalleryController extends HttpServlet implements GalleryConstants {

	/* (non-Javadoc)
	 * @see javax.servlet.http.HttpServlet#doGet(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	 */
	protected void doGet(HttpServletRequest req, HttpServletResponse resp)
		throws ServletException, IOException {
		
		TutorialGalleryAction action = new TutorialGalleryAction();
		action.run();
		RequestDispatcher dispatcher = req.getRequestDispatcher("/GalleryMenu"); //$NON-NLS-1$
		dispatcher.forward(req, resp);
	}
	
	/* (non-Javadoc)
	 * @see javax.servlet.http.HttpServlet#doPost(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	 */
	protected void doPost(HttpServletRequest req, HttpServletResponse resp)
		throws ServletException, IOException {
		this.doGet(req, resp);
	}
	

}
